std::atomic_ref::notify_all(3)

NAME
std::atomic_ref::notify_all - std::atomic_ref::notify_all

Synopsis
   void notify_all() const noexcept; (since C++20)
   void notify_all() const volatile noexcept;
   Performs atomic notifying operations.
   Unblocks all threads blocked in atomic waiting operations (i.e. wait()) on *this, if
   there are any; otherwise does nothing.

Return value
   (none)

Notes
   This form of change-detection is often more efficient than simple polling or pure
   spinlocks.

Example
    This section is incomplete
    Reason: no example

See also
   wait blocks the thread until notified and the atomic value changes
   (C++20) (public member function)
   atomic_wait
   atomic_wait_explicit blocks the thread until notified and the atomic value changes
   (C++20) (function template)
   (C++20)
   atomic_notify_one notifies a thread blocked in atomic_wait
   (C++20) (function template)